      Program makej
C
C     Supposed to make elementary matrices such that
C     vec(A)*J = vec(A)
C     for square A with order N*N
C     
      Integer i,j,k,l,n
C
      read(5,*) n
      write(6,*)' *'
      do 1 i=1,n
      do 1 j=1,n
      do 1 k=1,n
      do 1 l=1,n
      if (i.eq.l.and.j.eq.k) then
          write(6,'(1x,i1)') 1
      else
          write(6,'(1x,i1)') 0
      end if
    1 continue
      stop
      end
